org.eclipse.rdf4j.sail.memory.model

## Class BooleanMemLiteral

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractLiteral
  - - org.eclipse.rdf4j.model.impl.SimpleLiteral
    - - org.eclipse.rdf4j.sail.memory.model.MemLiteral
      - - org.eclipse.rdf4j.sail.memory.model.BooleanMemLiteral

- All Implemented Interfaces:
    Serializable, Literal, Value, MemValue

      public class BooleanMemLiteral
      extends MemLiteral

  An extension of MemLiteral that stores a boolean value to avoid parsing.
  Author:
    David Huynh, Arjohn Kampman
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.memory.model.MemValue

      `EMPTY_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanMemLiteral(Object creator, boolean b)`
    `BooleanMemLiteral(Object creator, String label, boolean b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanValue()` Returns the `boolean` value of this literal.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.memory.model.MemLiteral

      `addObjectStatement, cleanSnapshotsFromObjectStatements, getCreator, getObjectStatementCount, getObjectStatementList, hasStatements, removeObjectStatement`

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `byteValue, calendarValue, decimalValue, doubleValue, equals, floatValue, getDatatype, getLabel, getLanguage, getXsdDatatype, hashCode, integerValue, intValue, longValue, setDatatype, setDatatype, setLabel, setLanguage, shortValue, stringValue, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractLiteral

      `temporalAccessorValue, temporalAmountValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isLiteral, isResource, isTriple, stringValue`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Literal

      `isLiteral`

- - ### Constructor Detail

    - #### BooleanMemLiteral

          public BooleanMemLiteral(Object creator,
                                   boolean b)

    - #### BooleanMemLiteral

          public BooleanMemLiteral(Object creator,
                                   String label,
                                   boolean b)

  - ### Method Detail

    - #### booleanValue

          public boolean booleanValue()

      Description copied from interface: `Literal`
      Returns the `boolean` value of this literal.
      Specified by:
        `booleanValue` in interface `Literal`
      Overrides:
        `booleanValue` in class `SimpleLiteral`
      Returns:
        The `boolean` value of the literal.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.